HibernateConstraintsEvaluator (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.validation
[Java] Class HibernateConstraintsEvaluator

    java.lang.Object
      org.codehaus.groovy.grails.validation.DefaultConstraintEvaluator
          org.codehaus.groovy.grails.orm.hibernate.validation.HibernateConstraintsEvaluator

    public class HibernateConstraintsEvaluator
    extends DefaultConstraintEvaluator

Extends default implementation to add Hibernate specific exceptions.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`HibernateConstraintsEvaluator(java.util.Map defaultConstraints)`
`HibernateConstraintsEvaluator()`

Method Summary
`protected void` | `applyDefaultNullableConstraint(GrailsDomainClassProperty p, ConstrainedProperty cp)`

Methods inherited from class DefaultConstraintEvaluator
applyDefaultConstraints, applyDefaultNullableConstraint, applyDefaultNullableConstraint, applyMapOfConstraints, applySharedConstraints, canApplyNullableConstraint, canPropertyBeConstrained, evaluate, evaluate, evaluate, evaluate, evaluateConstraints, getConstraintsFromScript, getDefaultConstraints, getSuperClassChain, isConstrainableProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateConstraintsEvaluator

    public HibernateConstraintsEvaluator(java.util.Map defaultConstraints)

### HibernateConstraintsEvaluator

    public HibernateConstraintsEvaluator()

Method Detail

### applyDefaultNullableConstraint

    protected void applyDefaultNullableConstraint(GrailsDomainClassProperty p, ConstrainedProperty cp) {
    protected void applyDefaultNullableConstraint(GrailsDomainClassProperty p, ConstrainedProperty cp)

Groovy Documentation